Attribute VB_Name = "mdlINI"
Option Explicit

'  API   -  ini-
Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As Any, ByVal lpFileName As String) As Long


Public Const INIFILE = "\dialer.ini"

Sub SaveINIFile()
WriteINI "GENERAL", "PORT", COMPORT, App.Path & INIFILE

WriteINI "POSITION", "WINDOWSTATE", frmDial.WindowState, App.Path & INIFILE
WriteINI "POSITION", "TOP", frmDial.Top, App.Path & INIFILE
WriteINI "POSITION", "LEFT", frmDial.Left, App.Path & INIFILE
WriteINI "POSITION", "WIDTH", frmDial.Width, App.Path & INIFILE
WriteINI "POSITION", "HEIGHT", frmDial.Height, App.Path & INIFILE

WriteINI "COLUMNWIDTH", "PHONE", frmDial.lstPhones.ColumnHeaders.Item(1).Width, App.Path & INIFILE
WriteINI "COLUMNWIDTH", "NAME", frmDial.lstPhones.ColumnHeaders.Item(2).Width, App.Path & INIFILE
WriteINI "COLUMNWIDTH", "SURNAME", frmDial.lstPhones.ColumnHeaders.Item(3).Width, App.Path & INIFILE
WriteINI "COLUMNWIDTH", "EMAIL", frmDial.lstPhones.ColumnHeaders.Item(4).Width, App.Path & INIFILE
WriteINI "COLUMNWIDTH", "MISC", frmDial.lstPhones.ColumnHeaders.Item(5).Width, App.Path & INIFILE

End Sub
Sub SetDefaults()
COMPORT = 2

End Sub
Sub LoadINIFile()

If Not (IsFile(App.Path & INIFILE)) Then
    SetDefaults
    Exit Sub
End If

COMPORT = Val(ReadINI("GENERAL", "PORT", App.Path & INIFILE))

frmDial.WindowState = Val(ReadINI("POSITION", "WINDOWSTATE", App.Path & INIFILE))
frmDial.Top = Val(ReadINI("POSITION", "TOP", App.Path & INIFILE))
frmDial.Left = Val(ReadINI("POSITION", "LEFT", App.Path & INIFILE))
frmDial.Width = Val(ReadINI("POSITION", "WIDTH", App.Path & INIFILE))
frmDial.Height = Val(ReadINI("POSITION", "HEIGHT", App.Path & INIFILE))

frmDial.lstPhones.ColumnHeaders.Item(1).Width = Val(ReadINI("COLUMNWIDTH", "PHONE", App.Path & INIFILE))
frmDial.lstPhones.ColumnHeaders.Item(2).Width = Val(ReadINI("COLUMNWIDTH", "NAME", App.Path & INIFILE))
frmDial.lstPhones.ColumnHeaders.Item(3).Width = Val(ReadINI("COLUMNWIDTH", "SURNAME", App.Path & INIFILE))
frmDial.lstPhones.ColumnHeaders.Item(4).Width = Val(ReadINI("COLUMNWIDTH", "EMAIL", App.Path & INIFILE))
frmDial.lstPhones.ColumnHeaders.Item(5).Width = Val(ReadINI("COLUMNWIDTH", "MISC", App.Path & INIFILE))
End Sub

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'    -
Public Function ReadINI(ByVal Section As String, ByVal KeyName As String, ByVal FileName As String) As String
    Dim sRet As String
    sRet = String(255, Chr(0))
    ReadINI = Left(sRet, GetPrivateProfileString(Section, KeyName, "", sRet, Len(sRet), FileName))
End Function
Public Function WriteINI(ByVal Section As String, ByVal KeyName As String, ByVal NewString As String, ByVal FileName As String)
    Dim r
    r = WritePrivateProfileString(Section, KeyName, NewString, FileName)
End Function
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

